Skip to content

Replace Cloud Connect.

PUT
/api/config/namespaces/{metadata.namespace}/cloud_connects/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/cloud_connects/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "aws_tgw_site": { "vpc_attachments": { "vpc_list": [ { "custom_routing": { "route_tables": [ { "route_table_id": "example", "static_routes": [ "example" ] } ] }, "default_route": { "all_route_tables": {}, "selective_route_tables": { "route_table_id": [ "example" ] } }, "labels": {}, "manual_routing": {}, "vpc_id": "example" } ] } }, "azure_vnet_site": { "vnet_attachments": { "vnet_list": [ { "custom_routing": { "route_tables": [ { "route_table_id": "example", "static_routes": [ "example" ] } ] }, "default_route": { "all_route_tables": {}, "selective_route_tables": { "route_table_id": [ "example" ] } }, "labels": {}, "manual_routing": {}, "subscription_id": "example", "vnet_id": "example" } ] } }, "aws_provider": { "aws_tgw_site": { "vpc_attachments": { "vpc_list": [ { "custom_routing": { "route_tables": [ { "route_table_id": "example", "static_routes": [ "example" ] } ] }, "default_route": { "all_route_tables": {}, "selective_route_tables": { "route_table_id": [ "example" ] } }, "labels": {}, "manual_routing": {}, "vpc_id": "example" } ] } } } } }'

Shape of the Cloud Connect specification.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a cloud_connect

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
aws_tgw_site
object
vpc_attachments
object
vpc_list
vpc_list

Collection of items or values

Array<object>
<= 128 items
AWS VPC attachment
object
custom_routing
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID.

Array<string>
labels
Labels

Add labels for the VPC attachment. These labels can then be used in policies such as enhanced firewall.

object
manual_routing
object
vpc_id
VPC ID

Enter the VPC ID of the VPC to be attached Required: YES.

string
<= 64 characters
azure_vnet_site
object
vnet_attachments
object
vnet_list
vnet_list

Collection of items or values

Array<object>
<= 128 items
Azure VNET attachment
object
custom_routing
object
route_tables
List of route tables with static routes

Route Tables with static routes

Required: YES.

Array<object>
>= 1 items <= 200 items
Azure Route Table

Azure Route Table with Static Route.

object
route_table_id
Route table ID

Route table ID in the format //

string
<= 256 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID in the format //

Array<string>
labels
Labels

Add labels for the VNet attachments. These labels can then be used in policies such as enhanced firewall policies.

object
manual_routing
object
subscription_id
Subscription ID

Enter the Subscription ID of the VNet to be attached

Required: YES.

string
<= 64 characters
vnet_id
VNET ID

Enter the VNet ID of the VNet to be attached in format //

Required: YES.

string
<= 256 characters
aws_provider
object
aws_tgw_site
object
vpc_attachments
object
vpc_list
vpc_list

Collection of items or values

Array<object>
<= 128 items
AWS VPC attachment
object
custom_routing
object
route_tables
List of route tables

Route Tables

Required: YES.

Array<object>
>= 1 items <= 200 items
AWS Route Table

AWS Route Table.

object
route_table_id
Route table ID

Route table ID.

string
<= 64 characters
static_routes
static_routes

List of Static Routes Required: YES.

Array<string>
>= 1 items <= 50 items
default_route
object
all_route_tables
object
selective_route_tables
object
route_table_id
Route table ID

Route table ID.

Array<string>
labels
Labels

Add labels for the VPC attachment. These labels can then be used in policies such as enhanced firewall.

object
manual_routing
object
vpc_id
VPC ID

Enter the VPC ID of the VPC to be attached Required: YES.

string
<= 64 characters
Examplegenerated
{
"metadata": {
"annotations": {},
"description": "example",
"disable": true,
"labels": {},
"name": "example",
"namespace": "example"
},
"spec": {
"aws_tgw_site": {
"vpc_attachments": {
"vpc_list": [
{
"custom_routing": {
"route_tables": [
{
"route_table_id": "example",
"static_routes": [
"example"
]
}
]
},
"default_route": {
"all_route_tables": {},
"selective_route_tables": {
"route_table_id": [
"example"
]
}
},
"labels": {},
"manual_routing": {},
"vpc_id": "example"
}
]
}
},
"azure_vnet_site": {
"vnet_attachments": {
"vnet_list": [
{
"custom_routing": {
"route_tables": [
{
"route_table_id": "example",
"static_routes": [
"example"
]
}
]
},
"default_route": {
"all_route_tables": {},
"selective_route_tables": {
"route_table_id": [
"example"
]
}
},
"labels": {},
"manual_routing": {},
"subscription_id": "example",
"vnet_id": "example"
}
]
}
},
"aws_provider": {
"aws_tgw_site": {
"vpc_attachments": {
"vpc_list": [
{
"custom_routing": {
"route_tables": [
{
"route_table_id": "example",
"static_routes": [
"example"
]
}
]
},
"default_route": {
"all_route_tables": {},
"selective_route_tables": {
"route_table_id": [
"example"
]
}
},
"labels": {},
"manual_routing": {},
"vpc_id": "example"
}
]
}
}
}
}
}

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example